.control {
  @include mx-font(#000, 12px, 500);
  display: block;
  position: relative;
  padding-left: 26px;
  margin-bottom: 0px;
  padding-top: 5px;
  cursor: pointer;
}
.control input {
  position: absolute;
  z-index: -1;
  opacity: 0;
}
.control_indicator {
  position: absolute;
  top: 2px;
  left: 0;
  height: 18px;
  width: 18px;
  background: #ffffff;
  border: 1px solid #dddddd;
}
.control-radio .control_indicator {
  border-radius: 3px;
}

.control:hover input ~ .control_indicator,
.control input:focus ~ .control_indicator {
  background: #ffffff;
}

.control input:checked ~ .control_indicator {
  background: #ffffff;
}
.control:hover input:not([disabled]):checked ~ .control_indicator,
.control input:checked:focus ~ .control_indicator {
  background: #ffffff;
}
.control input:disabled ~ .control_indicator {
  background: #e6e6e6;
  opacity: 0.6;
  pointer-events: none;
}
.control_indicator:after {
  box-sizing: unset;
  content: '';
  position: absolute;
  display: none;
}
.control input:checked ~ .control_indicator:after {
  display: block;
}
.control-checkbox .control_indicator:after {
  left: 6px;
  top: 3px;
  width: 4px;
  height: 7px;
  border: solid #2184ff;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}
.control-checkbox input:disabled ~ .control_indicator:after {
  border-color: #7b7b7b;
}